std::discard_block_engine< _RandomNumberEngine, __p, __r >(3cxx)

NAME
std::discard_block_engine< _RandomNumberEngine, __p, __r >

SYNOPSIS

  Public Types

typedef _RandomNumberEngine::result_type result_type

  Public Member Functions

discard_block_engine ()
Constructs a default discard_block_engine engine.
discard_block_engine (_RandomNumberEngine &&__rng)
Move constructs a discard_block_engine engine.
template<typename _Sseq , typename = typename std::enable_if<!std::is_same<_Sseq, discard_block_engine>::value && !std::is_same<_Sseq, _RandomNumberEngine>::value> ::type> discard_block_engine (_Sseq &__q)
Generator construct a discard_block_engine engine.
discard_block_engine (const _RandomNumberEngine &__rng)
Copy constructs a discard_block_engine engine.
discard_block_engine (result_type __s)
Seed constructs a discard_block_engine engine.
const _RandomNumberEngine & base () const noexcept
Gets a const reference to the underlying generator engine object.
void discard (unsigned long long __z)
Discard a sequence of random numbers.
result_type operator() ()
Gets the next value in the generated random number sequence.
void seed ()
Reseeds the discard_block_engine object with the default seed for the underlying base class generator engine.
template<typename _Sseq > void seed (_Sseq &__q)
Reseeds the discard_block_engine object with the given seed sequence.
void seed (result_type __s)
Reseeds the discard_block_engine object with the default seed for the underlying base class generator engine.

  Static Public Member Functions

static constexpr result_type max ()
Gets the maximum value in the generated random number range.
static constexpr result_type min ()
Gets the minimum value in the generated random number range.

  Static Public Attributes

static constexpr size_t block_size
static constexpr size_t used_block

  Friends

template<typename _RandomNumberEngine1 , size_t __p1, size_t __r1, typename _CharT , typename _Traits > std::basic_ostream< _CharT, _Traits > & operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::discard_block_engine< _RandomNumberEngine1, __p1, __r1 > &__x)
Inserts the current state of a discard_block_engine random number generator engine __x into the output stream __os.
bool operator== (const discard_block_engine &__lhs, const discard_block_engine &__rhs)
Compares two discard_block_engine random number generator objects of the same type for equality.
template<typename _RandomNumberEngine1 , size_t __p1, size_t __r1, typename _CharT , typename _Traits > std::basic_istream< _CharT, _Traits > & operator>> (std::basic_istream< _CharT, _Traits > &__is, std::discard_block_engine< _RandomNumberEngine1, __p1, __r1 > &__x)
Extracts the current state of a % subtract_with_carry_engine random number generator engine __x from the input stream __is.

Detailed Description

  template<typename _RandomNumberEngine, size_t __p, size_t __r>
class std::discard_block_engine< _RandomNumberEngine, __p, __r >" Produces random numbers from some base engine by discarding blocks of data.

0 <= __r <= __p

Definition at line 839 of file random.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.